package com.yiqi.common.enums;


public enum OrderGoodsStatusType {
    /**    服务商品
     *     , NO_SEND("2","待配送")  待上门就是待配送
     *     , SENDING("3", "配送中") 服务中，就是配送中
     */


      NO_PAY("0", "待支付")
    , CONFIRM_PAY("1","支付待确认")
    , NO_SEND("2","待配送")
    , SENDING("3", "配送中")
    , WAIT_RECEIVE("4", "待收货")
    , CONFIRM_RECEIVE("5", "确认收货")
    , HAS_COMMENT("6", "已评价")
    , REFUND("-2", "已退款")
    , CANCEL_ORDER("-1", "已取消")
;

    private final String code;
    private final String info;

    OrderGoodsStatusType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}